Index: run_remote_tests.sh |
diff --git a/run_remote_tests.sh b/run_remote_tests.sh |
index 62f586350f944968dbcfcf72140834dc5c62d021..8b881d5f4182dba3887c3b3e0b2c57c0e45b5c93 100755 |
--- a/run_remote_tests.sh |
+++ b/run_remote_tests.sh |
@@ -4,13 +4,10 @@ |
# Use of this source code is governed by a BSD-style license that can be |
# found in the LICENSE file. |
-# Script to run client or server tests on a live remote image. |
-. $(dirname "$(readlink -f "$0")")/outside_chroot_common.sh 2> /dev/null || |
- SCRIPT_ROOT=/usr/lib/crosutils |
-. "${SCRIPT_ROOT}/common.sh" || |
- (echo "Unable to load common.sh" && false) || |
- exit 1 |
-. "${SCRIPT_ROOT}/remote_access.sh" || die "Unable to load remote_access.sh" |
+# This can only run inside the chroot. |
+CROSUTILS=/usr/lib/crosutils |
+. "${CROSUTILS}/common.sh" || exit 1 |
+. "${CROSUTILS}/remote_access.sh" || die "Unable to load remote_access.sh" |
DEFINE_string args "" \ |
"Command line arguments for test. Quoted and space separated if multiple." a |
@@ -20,7 +17,6 @@ chroot)." |
DEFINE_string board "" \ |
"The board for which you are building autotest" |
DEFINE_boolean build ${FLAGS_FALSE} "Build tests while running" b |
-DEFINE_string chroot "${DEFAULT_CHROOT_DIR}" "alternate chroot location" c |
DEFINE_boolean cleanup ${FLAGS_FALSE} "Clean up temp directory" |
DEFINE_integer iterations 1 "Iterations to run every top level test" i |
DEFINE_string results_dir_root "" "alternate root results directory" |
@@ -326,10 +322,9 @@ exists inside the chroot. ${FLAGS_autotest_dir} $PWD" |
echo "" |
info "Test results:" |
- ./generate_test_report "${TMP}" --strip="${TMP}/" |
+ generate_test_report "${TMP}" --strip="${TMP}/" |
print_time_elapsed |
} |
-restart_in_chroot_if_needed "$@" |
main "$@" |